Bug 120465 - ant 'java' and 'junit' tasks do not display debug information
ant 'java' and 'junit' tasks do not display debug information
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ant (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Permaine Cheung
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-08 20:18 EDT by Greg Wolfe
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:27:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.xml (1.18 KB, text/plain)
2004-04-08 20:19 EDT, Greg Wolfe
no flags Details
Example.java (487 bytes, text/plain)
2004-04-08 20:20 EDT, Greg Wolfe
no flags Details

  None (edit)
Description Greg Wolfe 2004-04-08 20:18:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
(This is referring to ant-1.5.2-23.i386.rpm which has an md5sum of 
9ba6d473eacd3b5700e2d8a3e678fed9)


When debug information is compiled into source via the 'javac' task,
the 'java' and 'junit' tasks do not properly include line numbers in
any stack traces that are produced.  This problem only occurs for the
'ant' executable.  (The 'classic-ant' executable functions correctly.)

An example of this:

==== 'ant' command does not show debug information ====

$ /usr/bin/ant -v run
....

run:
     [java] Executing '/usr/bin/gij-ssa' with arguments:
     [java] '-Djava.compiler=NONE'
     [java] '-jar'
     [java] '/home/gwolfe/msrc/emp/demo/dist/lib/HelloWorld.jar'
     [java]
     [java] The ' characters around the executable and arguments are
     [java] not part of the command.
     [java] Hello World
     [java] Exception in thread "main" java.lang.Exception: blah
     [java]    at
com.mypoints.emp.hello.HelloWorld.main(java.lang.String[]) (Unknown
Source)
     [java] Java Result: 1
 
BUILD SUCCESSFUL
Total time: 0 seconds


==== 'classic-ant' command correctly shows debug line numbers in
exception ====

$ /usr/bin/classic-ant -v run
run:
     [java] Executing '/opt/SUNWappserver/jdk/jre/bin/java' with
arguments:
     [java] '-Djava.compiler=NONE'
     [java] '-jar'
     [java] '/home/gwolfe/msrc/emp/demo/dist/lib/HelloWorld.jar'
     [java]
     [java] The ' characters around the executable and arguments are
     [java] not part of the command.
     [java] Hello World
     [java] Exception in thread "main" java.lang.Exception: blah
     [java]     at
com.mypoints.emp.hello.HelloWorld.main(HelloWorld.java:18)
 



Version-Release number of selected component (if applicable):
ant-1.5.2-23

How reproducible:
Always

Steps to Reproduce:
1. install the rpm ant-1.5.2-23.i386.rpm 
2. write a simple java program that throws an exception
3. write a build file that:
 * calls the 'javac' task to compile with debug information enabled
 * calls the 'java' task to run the generated class files
4. run from both 'ant' and 'classic-ant'
    

Actual Results:  debug information is only shown when run from
'classic-ant'

Expected Results:  debug information should be shown when run from
'ant' as well

Additional info:
Comment 1 Greg Wolfe 2004-04-08 20:19:10 EDT
Created attachment 99257 [details]
build.xml

A sample build file that demonstrates this problem
Comment 2 Greg Wolfe 2004-04-08 20:20:04 EDT
Created attachment 99258 [details]
Example.java

A sample java file to demonstrate the problem
Comment 3 RHEL Product and Program Management 2007-10-19 15:27:41 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.